@import url('https://fonts.googleapis.com/css2?family=Roboto&display=swap');

* {
	margin: 0;
}

html, body {
	height: 100%;
    /*font-size: 14px !important;*/
    font-family: 'Roboto', 'Helvetica Neue', Calibri, Helvetica, sans-serif;
    -moz-osx-font-smoothing: grayscale;
    -webkit-font-smoothing: antialiased;
    -moz-font-feature-settings:"tnum" 1; /* Firefox 31+ */
    -moz-font-feature-settings:"tnum=1";
    -webkit-font-feature-settings: 'tnum' 1; /* Chrome 31+, Android 4.4+, Opera 24+ */
    font-feature-settings: 'tnum' 1; /* IE10+ */
}
a {
    color: #232e8e;
    transition: all .2s;
}
a:hover, a:active, a:focus {
    outline: none;
    color: #3543bf;
}
.content-wrapper {
    min-height: 100%;
	margin-bottom: -46px; /* equal to footer height */
    background-color: #fff;
}
.content-wrapper:after {
    content: "";
    display: block;
}
.main-footer, .content-wrapper:after {
	height: 46px; /* .push must be the same height as footer */
    font-size: 12px;
}

.login-box, .register-box {
    margin: auto;
}
.login-box-body, .register-box-body {
    border-radius: 5px;
}

.login-logo {
    padding-top: 25px;
}

.shadow-sm {
    box-shadow: #0000002e 0 0 20px 0;
}
.shadow-lg {
    box-shadow: #0000008c 0 0 20px 0;
}

.object-tools {
    padding-left:0;
}
.object-tools li {
    display:inline-block !important;
}

select.form-control {
    max-width: 230px;
    min-width: 200px;
}

.text-success {
    color: #00a65a;
}
.text-yellow-alt {
    color: #f9ff30 !important;
}
.text-small { font-size: small; }
.text-bold { font-weight: bold; }
.text-nowrap { white-space: nowrap; }
.text-cut {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}
.m-none { margin: 0; }
.m-xs { margin: 5px; }
.m-sm { margin: 10px; }
.m-md { margin: 15px; }
.m-t-xs { margin-top: 5px; }
.m-t-sm { margin-top: 10px; }
.m-t-md { margin-top: 15px; }
.m-t-lg { margin-top: 30px; }
.m-b-xs { margin-bottom: 5px; }
.m-b-sm { margin-bottom: 10px; }
.m-b-md { margin-bottom: 15px; }
.m-b-lg { margin-bottom: 30px; }
.p-xs { padding: 5px; }
.p-sm { padding: 10px; }
.p-md { padding: 15px; }
.p-none { padding: 0; }
.p-l-none { padding-left: 0; }
.p-r-none { padding-left: 0; }

.w-100 {
    width: 100% !important;
    max-width: 100% !important;
}

.h-100 { height: 100%; }

.d-block { display: block; }
.d-inline { display: inline; }

/* Flex helpers */
.d-flex { display: flex; }
.flex-column { flex-direction: column; }
.flex-column-reverse { flex-direction: column-reverse; }
.align-items-center { align-items: center; }
.justify-content-between { justify-content: space-between; }
.justify-content-center { justify-content: center; }

.textarea-form-control {
    outline: none;
    border: 1px solid #ccc;
    border-radius: 4px;
    padding: 6px 12px;
    font-size: 14px;
    line-height: 1.42857143;
    color: #555;
    transition: all .3s;
}
.textarea-form-control:focus {
    border-color: #3c8dbc;
}
.border-rounded {
    border-radius: 4px;
}

.bg-default {
    background-color: #ccc;
}
.bg-green, .callout.callout-success {
    background-color: #248e45 !important;
}

.alert {
    border: none;
    border-radius: 3px;
    margin: 0 0 20px 0;
    padding: 15px 30px 15px 15px;
    border-left: 5px solid #eee;
}

.alert-success {
    color: #fff;
    background-color: #248e45 !important;
    border-color: #00733e;
}

.alert-danger {
    border-color: #e27575;
}

/* Hide big name in fieldsets of config profile */
.model-configprofile .form-horizontal > h2 {
    display:none;
}
/*.model-configprofile label[for$='_list'] {*/
/*    width:auto !important;*/
/*}*/

#changelist table thead th {
    /* padding: 0; */
    padding:5px !important;
    /* white-space: nowrap; */
    /* vertical-align: middle; */
}

.device-status-area {
    background-image: url('/static/android-phone.svg');
    width:150px;
    height:293px;
    max-width:150px;
    position:relative;
    float:left;
    margin-bottom:10px;
    margin-top:20px;
    background-size:cover;
}

.device-status-area .imei {
    font-weight:bold;
    text-align: center;
    position: absolute;
    bottom: 30px;
    width: 100%;
}

.device-status-area .status-text {
    text-align: center;
    width: 100%;
    margin-top: 110px;
    font-size: 25px;
}



.device-location-map {
    float:left;
    /*margin-left:50px;*/
    width: 100%;
}
.device-location-map.no-location .box-body {
    width: 400px;
    height: 200px;
    text-align:center;
    opacity:0.3;
}
.device-location-map.no-location img.placeholder {
    width: 150px;
    height: 150px;
}

.device-status-area.online {
    /*background-image: url('/static/android-phone-online.png');*/
}

.device-status-area.offline {
    /*background-image: url('/static/android-phone-offline.png');*/
}

.device-status-area .online-status {
    border-radius:15px;
    width:30px;
    height:30px;
    position:absolute;
    left:60px;
    top:50px;
}

.device-status-area .online {
    background:green;
}

.device-status-area .offline {
    background: #bb0f26;
}

.device-description-area {
    font-size:18px;
    padding-top: 50px;
}
.device-description-area dd {
    margin-bottom: 10px;
}


.online {
    color:#2faa60;
}

.offline {
    color: #bb0f26;
}

.messagelist {
    margin-top: 10px;
}

.table>tbody>tr>td, .table>tbody>tr>th, .table>tfoot>tr>td, .table>tfoot>tr>th, .table>thead>tr>td, .table>thead>tr>th {
    padding:4px !important;
}

.paginator {
    padding-left: 20px;
}

/* For radio button lists */
ul > li {
    list-style-type: none;
}

ul {
   padding-left: 0;
}

.nav-tabs-custom>.nav-tabs>li.active>a, .nav-tabs-custom>.nav-tabs>li.active>a:hover {
    color: #bb0f26;
}

.nav-tabs-custom>.nav-tabs>li.active {
    border-top-color: #bb0f26;
}

.select2-container li.select2-selection__choice{
    float:none !important;
    /*max-width:350px;*/
    word-break: break-all;
    white-space: normal;
    color:black !important;
}

.box {
    background: #ffffff;
    box-shadow: #0000002e 0 0 20px 0;
}

.box-body li.list-group-item {
    border:0 !important;
}
.box.box-primary {
    border-top-color: #232e8e;
}

.form-control {
    border-radius: 4px;
    -webkit-transition: all 300ms linear;
    -moz-transition: all 300ms linear;
    -o-transition: all 300ms linear;
    -ms-transition: all 300ms linear;
    transition: all 300ms linear;
}

.list-group-item {
    padding: 4px 15px;
}

.skin-blue .wrapper, .skin-blue .main-sidebar, .skin-blue .left-side {
    background-color: #fff;
    bottom: 0;
    border-right: 1px #ccc solid;
    z-index: 0;
}
.skin-blue .sidebar a {
    color: #111111;
}
.skin-blue .main-header .navbar {
    background-color: #000d80cc;
}
.skin-blue .main-header .logo {
    background-color: #000d80cc;
}
.skin-blue .main-header .logo:hover {
    transition: all .3s;
    background-color: #3543bf;
}
.skin-blue .main-header li.user-header {
    background-color: #232e8e;
}
.skin-blue .sidebar-menu>li:hover>a, .skin-blue .sidebar-menu>li.active>a {
    color: #000;
    background: #c9c7e2;
    border-left-color: #3543bf;
}
.skin-blue .sidebar-form {
    border: none;
}
.skin-blue .sidebar-form input[type="text"], .skin-blue .sidebar-form .btn {
    background-color: #fff;
    border: 1px solid #ccc;
}
.skin-blue .sidebar-form input[type="text"]:focus, .skin-blue .sidebar-form input[type="text"]:focus+.input-group-btn .btn {
    background-color: #fff;
    border: 1px solid #444;
    color: #666;
}

.navbar-nav>.user-menu>.dropdown-menu {
    width: unset;
}

.dropdown-menu>.active>a, .dropdown-menu>.active>a:focus, .dropdown-menu>.active>a:hover {
    color: #fff;
    text-decoration: none;
    background-color: #232e8e;
    outline: 0;
}
.dropdown-secondary {
    background: #ffc582;
    color: #232e8e !important;
}
.dropdown-secondary:hover, .dropdown-secondary:focus, .dropdown-secondary:active {
    color: #ffc582 !important;
}

/* Buttons */

.btn {
    transition: all 0.2s;
    -webkit-transition: all 0.2s;
    margin-bottom: 2px !important;
}
.btn-primary {
    background-color: #232e8e;
    border-color: #232e8e;
}
.btn-primary:hover, .btn-primary:focus, .btn-primary.active.focus, .btn-primary.active:focus, .btn-primary.active:hover, .btn-primary:active.focus, .btn-primary:active:focus, .btn-primary:active:hover, .open>.dropdown-toggle.btn-primary.focus, .open>.dropdown-toggle.btn-primary:focus, .open>.dropdown-toggle.btn-primary:hover {
    background-color: #3543bf;
    border-color: #3543bf;
}
.btn-clear {
    background-color: transparent;
    border-color: transparent;
}
.btn-clear:hover, .btn-clear:active, .btn-clear.hover {
    background-color: transparent;;
}
.btn-clear:active {
    -webkit-box-shadow: none;
    -moz-box-shadow: none;
    box-shadow: none;
}

/* Nav & tabs */

.nav-tabs-custom {
    background: transparent;
}

.nav-tabs-custom>.nav-tabs>li>a {
    color: #444;
    border-radius: 0;
    /*font-size: large;*/
    font-weight: 600;
}

.mdm-value {
    font-weight: bold;
    color: #31708f;
}

.dropzone {
    border-radius: 5px;
    border: 1px #ccc solid !important;
}

.form-horizontal .control-label {
    padding-top: 3px;
}
.form-horizontal h2 {
    margin-top: 15px;
    padding-left: 15px;
}

.log-event-data {
    font-size:10px;
    overflow-x: scroll;
    max-width:200px;
}

textarea#id_description {
    height:60px;
}

.field-get_icon_url_as_img {
    text-align:center;
    max-width:64px;
    width:64px;
}

#configprofile_form .select2-container, #tags-modal-form .select2-container{
    width: 100% !important;
}

#configprofile_form [class*="_list"] label, .field-firewall_affect_apps label {
    text-align: left !important;
    width: 100% !important;
}

.field-disable_component_list p.help {
    margin-left: 0 !important;
    padding-top: 5px;
}

#businesspolicy_form .field-tags .select2-toolbar{
    margin-left: 160px;
}

#applogs {
    font-size:10px;
}

.nav-tabs>li>a {
    padding: 8px !important;
}

.field-config_apn_settings .form-row {
    padding: 2px;

}
.field-config_apn_settings .form-control {
    width:auto;
}

.field-config_apn_settings .form-group {
    margin-bottom:2px !important;
}

.field-config_apn_settings > div > .control-label {
    display:none;
}


.model-businesspolicy.change-form #id_mcc, .model-businesspolicy.change-form #id_mnc{
    max-width:150px;
}


td.get_status {
    text-align: right;
    padding-right:10px;
}

td.remove_link_column {
    text-align: center;
}

.model-configprofile.change-form .box-body {
    padding:0 !important;
}

.model-configprofile.change-form .form-row select {
    display:inline-block;
}

.model-configprofile.change-form .wallpaper-preview {
    text-align:center;
}

.form-row-muted {
    background:#f8f8f8;
    opacity:0.8;
}
.policy-value-icon {
    display:none;
    margin-left:10px;
}

.form-row-policy-enabled {
    color:green;
}

.form-row-policy-enabled .policy-enabled-icon {
    display:inline-block;
}

.form-row-policy-disabled {
    color:#bb0f26;
}
.form-row-policy-disabled label.required {
    color:#bb0f26;
}
.form-row-policy-disabled .form-control {
    color:#bb0f26;
    border-color:#bb0f26;
}


.form-row-policy-enabled {
    color:#00a65a;
}
.form-row-policy-enabled label.required {
    color:#00a65a;
}
.form-row-policy-enabled .form-control {
    color:#00a65a;
    border-color:#00a65a;
}


.form-row-policy-disabled .policy-disabled-icon {
    display:inline-block;
}

#changelist #toolbar {
    border-radius: 5px;
    border: 1px solid #eee !important;
}

#changelist #toolbar form #searchbar {
    height: 28px !important;
}

.label-block {
    display: inline-block;
}

.label-lastsync {
    font-size: 15px;
}

.complete {
    display:none;
}

.block-float {
    display: block;
    float: left;
}

.list-group-item {
    padding-left: 5px !important;
    padding-right: 5px !important;
}

.list-group-striped>.list-group-item:nth-of-type(odd) {
    background-color: #f9f9f9;
}

.list-group-striped>.list-group-item:hover {
    background-color: #f0f0f0;
}


@media (min-width: 768px) {
    .dl-horizontal dt {
        width: 150px;
    }
    .dl-horizontal dd {
        margin-left: 160px;
    }
}

ul.thumbnails.image_picker_selector li {
    width: 200px;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}
img.image_picker_image {
    max-width: 80px;
}
ul.thumbnails.image_picker_selector li .thumbnail {
    min-width: 200px;
    min-height: 150px;
    margin-bottom: 0;
    cursor: pointer;
}
ul.thumbnails.image_picker_selector li .thumbnail.selected p,
ul.thumbnails.image_picker_selector li .thumbnail.selected small{
    color: #fff;
}
ul.thumbnails.image_picker_selector li .thumbnail p {
    text-align: center;
}

.input-filter{
    height: 21px;
    border: 1px solid #aaa;
    border-radius: 3px;
}

select.select-filter {
    float:left;
    max-width: 75px;
}

input.input-filter {
    float: left;
    max-width: 110px;
}

.clear-filter {
    float: left;
    margin-left: 2px;
    font-weight: bold;
}

#summary-table .group-header {
    text-align: center;
    font-size: small;
    color: #777;
    border-bottom: #ccc 1px solid;
    padding: 10px 0 0 0 !important;
    background-color: #fff;
}

label {
     margin-bottom: 0;
}

.typeahead {
    z-index: 1051;
}

/* Pace loader */
.pace {
  -webkit-pointer-events: none;
  pointer-events: none;

  -webkit-user-select: none;
  -moz-user-select: none;
  user-select: none;
}

.pace-inactive {
  display: none;
}

.pace .pace-progress {
  background: #fff;
  position: fixed;
  z-index: 2000;
  top: 0;
  right: 100%;
  width: 100%;
  height: 2px;
}

.wallpaper-preview {
    padding: 10px;
}

#tags-modal-form label {
    padding-right: 10px;
}

.table tr td .progress {
    margin-top: 2px;
}

.well {
    background-color: transparent;
}

.wrapper-store {
    height: 100%;
    display: flex;
    flex-flow: column;
    justify-content: space-between;
}

.wrapper-store footer {
    padding-bottom: 15px;
}

form .form-row p.help {
    padding-left: 0 !important;
}

.skin-blue .sidebar-menu>li.header {
    color: #4b646f;
    background: transparent;
}

.skin-blue .main-header .navbar .sidebar-toggle:hover {
    background-color: rgba(0,0,0,.2);
}

.main-header {
    backdrop-filter: blur(3px);
}

@media (max-width: 767px) {
    .skin-blue .main-header .navbar .nav>li>a {
        color: #fff !important;
    }
    .skin-blue .main-header .navbar .dropdown-menu li a {
        color: unset;
    }
}

ul.object-tools li a:not(.btn) {
    padding-right: 10px;
}

.constance #results {
    overflow: unset;
}
.constance #results textarea {
    width: 100%;
    margin-top: 10px;
}

.modal-body textarea {
    width: 100%;
    height: 400px;
}

.clickable, a.clickable, a.clickable:hover {
    cursor: pointer;
    text-decoration: none;
    border-bottom: dashed 1px #0088cc;
}

.form-row.field-url {
    overflow: visible;
}